import { UserPartial } from './user';
export interface Group {
    name?: string;
    self?: string;
}
export interface GroupResponse {
    name?: string;
    self?: string;
    users?: {
        size: number;
        'max-results': number;
        'start-index': number;
        'end-index': number;
        items?: UserPartial[];
    };
    expand?: string;
}
export interface GetUsersResponse {
    self?: string;
    nextPage?: string;
    maxResults?: number;
    startAt?: number;
    total?: number;
    isLast?: boolean;
    values?: UserPartial[];
}
//# sourceMappingURL=group.d.ts.map