export interface GetConfigurationResponse {
    votingEnabled: boolean;
    watchingEnabled: boolean;
    unassignedIssuesAllowed: boolean;
    subTasksEnabled: boolean;
    issueLinkingEnabled: boolean;
    timeTrackingEnabled: boolean;
    attachmentsEnabled: boolean;
    timeTrackingConfiguration?: {
        workingHoursPerDay: number;
        workingDaysPerWeek: number;
        timeFormat?: 'pretty' | 'days' | 'hours';
        defaultUnit?: 'minute' | 'hour' | 'day' | 'week';
    };
}
export interface GetInfoResponse {
    baseUrl?: string;
    version?: string;
    versionNumbers?: number[];
    deploymentType?: string;
    buildNumber?: number;
    buildDate?: string;
    serverTime?: string;
    scmInfo?: string;
    buildPartnerName?: string;
    serverTitle?: string;
    healthChecks?: {
        name?: string;
        description?: string;
        passed?: boolean;
    }[];
}
//# sourceMappingURL=instance.d.ts.map