import { UserFull } from './user';
import { Component } from './component';
import { IssueType } from './issue_type';
import { AvatarUrls } from './avatarUrls';
import { ProjectCategory } from './project_category';
import { Version } from './version';
export interface Project {
    expand?: string;
    self?: string;
    id?: string;
    key?: string;
    description?: string;
    lead?: UserFull;
    components?: Component[];
    issueTypes?: IssueType[];
    url?: string;
    email?: string;
    assigneeType?: 'PROJECT_LEAD' | 'UNASSIGNED' | 'PROJECT_DEFAULT' | 'COMPONENT_LEAD';
    versions?: Version[];
    name?: string;
    roles?: Record<string, string>;
    avatarUrls?: AvatarUrls;
    projectKeys?: string[];
    projectCategory?: ProjectCategory;
    projectTypeKey?: string;
    archived?: boolean;
}
//# sourceMappingURL=project.d.ts.map