import { Issue } from '../../types/issue';
/**
 * Returns a list of all fields, both System and Custom.
 * Documentation: https://docs.atlassian.com/software/jira/docs/api/REST/7.13.9/#api/2/field-getFields
 * @param options Request options.
 */
export declare function getIssueFields<T = Issue.Field.GetFields.Response.OK>(options: Issue.Field.GetFields.Options.HandledApi): Promise<Issue.Field.GetFields.Response.OK>;
//# sourceMappingURL=field.d.ts.map