import { executeRequest } from '../../common';
import { getIssueCustomFields as getIssueCustomFieldsFn } from '../../../raw-api/issue/field/custom';
/**
 * Documentation: https://docs.atlassian.com/software/jira/docs/api/REST/7.13.9/#api/2/customFields-getCustomFields
 * @param options Request options.
 */
export function getIssueCustomFields(options) {
    return executeRequest(() => getIssueCustomFieldsFn(options), options.errorStrategy);
}
