import { Issue } from '../../../../types/issue';
/**
 * Returns a full representation of the Custom Field Option that has the given id.
 * Documentation: https://docs.atlassian.com/software/jira/docs/api/REST/7.13.9/#api/2/customFieldOption-getCustomFieldOption
 * @param options Request options.
 */
export declare function getIssueCustomFieldOption<T = Issue.Field.Custom.Option.GetOption.Response.OK>(options: Issue.Field.Custom.Option.GetOption.Options.HandledApi): Promise<Issue.Field.Custom.Option.GetOption.Response.OK>;
//# sourceMappingURL=option.d.ts.map