import { Project } from '../../types/project';
/**
 * Validates a project key.
 * Documentation: https://docs.atlassian.com/software/jira/docs/api/REST/7.13.9/#api/2/projectvalidate-getProject
 * @param options Request options.
 */
export declare function validateProjectKey<T = Project.Validation.ValidateProjectKey.Response.OK>(options: Project.Validation.ValidateProjectKey.Options.HandledApi): Promise<Project.Validation.ValidateProjectKey.Response.OK>;
//# sourceMappingURL=validation.d.ts.map