import { Scheme } from '../../types/scheme';
/**
 * Returns a paginated list of notification schemes.
 * Documentation: https://docs.atlassian.com/software/jira/docs/api/REST/7.13.9/#api/2/notificationscheme-getNotificationSchemes
 * @param options Request options.
 */
export declare function getNotificationSchemes<T = Scheme.Notification.GetSchemes.Response.OK>(options: Scheme.Notification.GetSchemes.Options.HandledApi): Promise<Scheme.Notification.GetSchemes.Response.OK>;
//# sourceMappingURL=notification.d.ts.map