import { Issue } from '../types/issue';
import { CustomFieldReader } from '../reader/customField';
import { IssueBuilder } from '../builder/issue';
import { AssistedErrorStrategyOption } from '../handled-api/common';
interface IssueHelperOptions extends AssistedErrorStrategyOption {
}
export declare class IssueHelper {
    private cacheManager;
    constructor(connection: string, options?: IssueHelperOptions);
    static create(connection: string, options?: IssueHelperOptions): IssueHelper;
    getCustomFieldReader(issue: Issue.GetIssue.Response.OK): Promise<CustomFieldReader>;
    getIssueBuilder(): IssueBuilder;
}
export {};
//# sourceMappingURL=issue.d.ts.map