import { HeadersType as Headers } from '@avst-api/commons';
export interface EntityProperty {
    key?: string;
    value?: any;
}
export interface IdProperty {
    id?: string;
}
export interface KeyProperty {
    key?: string;
}
export interface NameProperty {
    name?: string;
}
export interface AccountIdProperty {
    accountId?: string;
}
export interface CustomFieldIdentifier {
    id?: string;
    name?: string;
}
export interface CustomFieldSelectOption {
    self?: string;
    value?: string;
    id?: string;
}
export declare function httpGet<Ok, Err>(connection: string, urlPath: string, headers?: Headers, skipBodyParsing?: boolean): Promise<import("@avst-api/commons").Response<Ok | Err>>;
export declare function httpPost<Ok, Err>(connection: string, urlPath: string, request: any, headers?: Headers, skipBodyParsing?: boolean): Promise<import("@avst-api/commons").Response<Ok | Err>>;
export declare function httpPut<Ok, Err>(connection: string, urlPath: string, request: any, headers?: Headers, skipBodyParsing?: boolean): Promise<import("@avst-api/commons").Response<Ok | Err>>;
export declare function httpDelete<Ok, Err>(connection: string, urlPath: string, headers?: Headers, skipBodyParsing?: boolean): Promise<import("@avst-api/commons").Response<Ok | Err>>;
export declare function getFields<T extends CustomFieldIdentifier>(fields: T[], customFieldIdOrName: number | string): T[];
//# sourceMappingURL=common.d.ts.map