import { Myself } from '../types/myself';
/**
 * Returns currently logged in user.
 * Documentation: https://docs.atlassian.com/software/jira/docs/api/REST/7.13.9/#api/2/myself-getUser
 * @param options Request options.
 */
export declare function getCurrentUser(options: Myself.GetCurrentUser.Options.RawApi): Promise<import("@avst-api/commons").Response<import("../definitions/user").UserFull | undefined>>;
//# sourceMappingURL=myself.d.ts.map