import { Scheme } from '../../types/scheme';
/**
 * Returns a paginated list of notification schemes.
 * Documentation: https://docs.atlassian.com/software/jira/docs/api/REST/7.13.9/#api/2/notificationscheme-getNotificationSchemes
 * @param options Request options.
 */
export declare function getNotificationSchemes(options: Scheme.Notification.GetSchemes.Options.RawApi): Promise<import("@avst-api/commons").Response<Scheme.Notification.GetSchemes.Response.OK | undefined>>;
//# sourceMappingURL=notification.d.ts.map