import { ErrorStrategyOption, AssistedErrorStrategyOption } from '../handled-api/common';
import { HeadersOption, ConnectionOption } from '@avst-api/commons';
import { ProjectRole } from '../definitions/project_role';
export declare namespace Role {
    namespace Project {
        namespace GetRoles {
            interface Options extends HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = ProjectRole[];
                type Error = undefined;
            }
            namespace Options {
                interface RawApi extends ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace GetRole {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = ProjectRole;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    id: string;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
    }
}
//# sourceMappingURL=role.d.ts.map