import { Issue } from './types/issue';
import { CustomFieldsCollection } from './reader/customField';
export interface AnyError extends Record<any, any> {
}
export declare namespace ManagedIssue {
    namespace Read {
        interface Response extends Issue.GetIssue.Response.OK {
            /**
             * Method for reading custom fields in more managable way.
             */
            getCustomFields(): Promise<CustomFieldsCollection>;
        }
    }
}
//# sourceMappingURL=common.d.ts.map