import { EntityProperty } from '../raw-api/common';
import { UserPartial } from './user';
export interface Comment {
    self?: string;
    id?: string;
    author?: UserPartial;
    body?: string;
    renderedBody?: string;
    updateAuthor?: UserPartial;
    created?: string;
    updated?: string;
    visibility?: {
        type?: 'group' | 'role';
        value?: string;
    };
    properties?: EntityProperty[];
}
//# sourceMappingURL=comment.d.ts.map