import { FieldDetails } from './field_details';
import { Group } from './group';
import { ProjectRole } from './project_role';
import { UserFull } from './user';
export interface NotificationSchemeEvent {
    event?: NotificationEvent;
    notifications?: Array<CustomFieldValueNotification | EmailNotification | GroupNotification | ProjectRoleNotification | RoleNotification | UserNotification>;
}
export interface NotificationEvent {
    id?: number;
    name?: string;
    description?: string;
    templateEvent?: NotificationEvent;
}
export interface CustomFieldValueNotification {
    id?: number;
    notificationType?: string;
    parameter?: string;
    expand?: string;
    field?: FieldDetails;
}
export interface EmailNotification {
    id?: number;
    notificationType?: string;
    parameter?: string;
    expand?: string;
    emailAddress?: string;
}
export interface GroupNotification {
    id?: number;
    notificationType?: string;
    parameter?: string;
    expand?: string;
    group?: Group;
}
export interface ProjectRoleNotification {
    id?: number;
    notificationType?: string;
    parameter?: string;
    expand?: string;
    projectRole?: ProjectRole;
}
export interface RoleNotification {
    id?: number;
    notificationType?: string;
    parameter?: string;
    expand?: string;
}
export interface UserNotification {
    id?: number;
    notificationType?: string;
    parameter?: string;
    expand?: string;
    user?: UserFull;
}
//# sourceMappingURL=notification.d.ts.map