import { AvatarUrls } from './avatarUrls';
import { SimpleListWrapper } from './simple_list_wrapper';
export interface UserPartial {
    active: boolean;
    self?: string;
    key?: string;
    name?: string;
    emailAddress?: string;
    avatarUrls?: AvatarUrls;
    displayName?: string;
    timeZone?: string;
}
export interface UserFull extends UserPartial {
    locale?: string;
    groups?: SimpleListWrapper;
    applicationRoles?: SimpleListWrapper;
    expand?: string;
}
//# sourceMappingURL=user.d.ts.map