import { Issue } from '../../types/issue';
/**
 * Performs a search using JQL.
 * Documentation: https://docs.atlassian.com/software/jira/docs/api/REST/7.13.9/#api/2/search-searchUsingSearchRequest
 * @param options Request options.
 */
export declare function searchIssuesByJql<T = Issue.Search.SearchByJql.Response.OK>(options: Issue.Search.SearchByJql.Options.HandledApi): Promise<Issue.Search.SearchByJql.Response.OK>;
//# sourceMappingURL=search.d.ts.map