import { Myself } from '../types/myself';
/**
 * Returns currently logged in user.
 * Documentation: https://docs.atlassian.com/software/jira/docs/api/REST/7.13.9/#api/2/myself-getUser
 * @param options Request options.
 */
export declare function getCurrentUser<T = Myself.GetCurrentUser.Response.OK>(options: Myself.GetCurrentUser.Options.HandledApi): Promise<import("../definitions/user").UserFull>;
//# sourceMappingURL=myself.d.ts.map