import { Group } from '../types/group';
/**
 * Creates a group by given group parameter.
 * Documentation: https://docs.atlassian.com/software/jira/docs/api/REST/7.13.9/#api/2/group-createGroup
 * @param options Request options.
 */
export declare function createGroup(options: Group.CreateGroup.Options.RawApi): Promise<import("@avst-api/commons").Response<import("../definitions/group").GroupResponse | undefined>>;
/**
 * Deletes a group by given group parameter.
 * Documentation: https://docs.atlassian.com/software/jira/docs/api/REST/7.13.9/#api/2/group-removeGroup
 * @param options Request options.
 */
export declare function removeGroup(options: Group.RemoveGroup.Options.RawApi): Promise<import("@avst-api/commons").Response<undefined>>;
//# sourceMappingURL=group.d.ts.map