import { Issue } from '../../../types/issue';
/**
 * Returns the meta information for an attachments, specifically if they are enabled and the maximum upload size allowed.
 * Documentation: https://docs.atlassian.com/software/jira/docs/api/REST/7.13.9/#api/2/attachment-getAttachmentMeta
 * @param options Request options.
 */
export declare function getIssueAttachmentMetadata(options: Issue.Attachment.Metadata.GetMetadata.Options.RawApi): Promise<import("@avst-api/commons").Response<Issue.Attachment.Metadata.GetMetadata.Response.OK | undefined>>;
//# sourceMappingURL=metadata.d.ts.map