import { Project } from '../../types/project';
/**
 * Validates a project key.
 * Documentation: https://docs.atlassian.com/software/jira/docs/api/REST/7.13.9/#api/2/projectvalidate-getProject
 * @param options Request options.
 */
export declare function validateProjectKey(options: Project.Validation.ValidateProjectKey.Options.RawApi): Promise<import("@avst-api/commons").Response<Project.Validation.ValidateProjectKey.Response.OK | undefined>>;
//# sourceMappingURL=validation.d.ts.map