import { ErrorStrategyOption, AssistedErrorStrategyOption } from '../handled-api/common';
import { HeadersOption, ConnectionOption } from '@avst-api/commons';
import { UserFull } from '../definitions/user';
export declare namespace Myself {
    namespace GetCurrentUser {
        interface Options extends HeadersOption, AssistedErrorStrategyOption {
        }
        namespace Response {
            type OK = UserFull;
            type Error = undefined;
        }
        namespace Options {
            interface RawApi extends ConnectionOption, HeadersOption {
            }
            interface HandledApi extends RawApi, ErrorStrategyOption {
            }
        }
    }
}
//# sourceMappingURL=myself.d.ts.map