import { ErrorStrategyOption, AssistedErrorStrategyOption } from '../handled-api/common';
import { HeadersOption, ConnectionOption } from '@avst-api/commons';
import { Permissions } from '../definitions/permissions';
export declare namespace Permission {
    namespace GetPermissions {
        interface Options extends HeadersOption, AssistedErrorStrategyOption {
        }
        namespace Response {
            type OK = Permissions;
            type Error = undefined;
        }
        namespace Options {
            interface RawApi extends ConnectionOption, HeadersOption {
            }
            interface HandledApi extends RawApi, ErrorStrategyOption {
            }
        }
    }
    namespace GetMyPermissions {
        interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
        }
        namespace Response {
            type OK = Permissions;
            type Error = undefined;
        }
        namespace Options {
            interface Base {
                projectKey?: string;
                projectId?: string;
                issueKey?: string;
            }
            interface RawApi extends Base, ConnectionOption, HeadersOption {
            }
            interface HandledApi extends RawApi, ErrorStrategyOption {
            }
        }
    }
}
//# sourceMappingURL=permission.d.ts.map